using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
	/// 检查类型子表检查层级
	/// </summary>
	[Description("检查层级")]
    public class T_BS_CHECK_TYPE_LEVEL : MesEntityBase
    {

        /// <summary>
        /// 检查类型表
        /// </summary>
        [Description("检查类型表")]
        [DataFieldForeignKey("Nav_CheckType", "Nav_ListCheckTypeLevel")]
        public Guid? CHECK_TYPE_ID { get; set; }


        /// <summary>
        /// 检查类型表
        /// </summary>
        [Description("检查类型等级编号")]
        [DataFieldLength(50)]
        public string CODE { get; set; }

        /// <summary>
        /// 导航：检查类型表
        /// </summary>
        [Description("导航：检查类型表")]
        public virtual T_BS_CHECK_TYPE Nav_CheckType { get; set; }

        /// <summary>
        /// 检查层级
        /// </summary>
        [Description("检查层级")]
        [DataFieldForeignKey("Nav_Enums")]
        [FormFieldTable]
        [FormFieldEdit]
        public Guid? CheckLevel_ENUMS_ID { get; set; }

        /// <summary>
        /// 导航：检查层级
        /// </summary>
        [Description("导航：检查层级")]
        public virtual T_FM_ENUMS Nav_Enums { get; set; }
    }
}
